MacWrtParserInternal::WindowsInfo Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MacWrtParserInternal::WindowsInfo Struct Reference

the windows structure More...

## Public Member Functions
| WindowsInfo ()
bool | isEmpty () const
| small function used to recognized empty header or footer

## Public Attributes
MWAWVec2i | m_startSel
MWAWVec2i | m_endSel
int | m_posTopY
std::vector< Information > | m_informations
std::vector< int > | m_firstParagLine
std::vector< int > | m_linesHeight
MWAWVec2i | m_pageNumber
MWAWVec2i | m_date
MWAWVec2i | m_time

## Friends
std::ostream & | operator<< (std::ostream &o, WindowsInfo const &w)

## Detailed Description

the windows structure

## Constructor & Destructor Documentation

## ◆ WindowsInfo()

MacWrtParserInternal::WindowsInfo::WindowsInfo | ( |  | ) |
| inline

## Member Function Documentation

## ◆ isEmpty()

bool MacWrtParserInternal::WindowsInfo::isEmpty | ( |  | ) | const
| inline

small function used to recognized empty header or footer

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WindowsInfo const & | w
| ) |  |
| friend

## Member Data Documentation

## ◆ m_date

MWAWVec2i MacWrtParserInternal::WindowsInfo::m_date

Referenced by isEmpty().

## ◆ m_endSel

MWAWVec2i MacWrtParserInternal::WindowsInfo::m_endSel

## ◆ m_firstParagLine

std::vector<int> MacWrtParserInternal::WindowsInfo::m_firstParagLine

## ◆ m_informations

std::vector<Information> MacWrtParserInternal::WindowsInfo::m_informations

Referenced by isEmpty().

## ◆ m_linesHeight

std::vector<int> MacWrtParserInternal::WindowsInfo::m_linesHeight

## ◆ m_pageNumber

MWAWVec2i MacWrtParserInternal::WindowsInfo::m_pageNumber

Referenced by isEmpty().

## ◆ m_posTopY

int MacWrtParserInternal::WindowsInfo::m_posTopY

## ◆ m_startSel

MWAWVec2i MacWrtParserInternal::WindowsInfo::m_startSel

## ◆ m_time

MWAWVec2i MacWrtParserInternal::WindowsInfo::m_time

Referenced by isEmpty().

The documentation for this struct was generated from the following file:

- MacWrtParser.cxx